%define soname 6
Name:      kdesvn
Version:   1.4.0
Release:   alt1

Summary:   A subversion client for the KDE4 with KIO integration.

License:   GPLv2+
Url:       http://kdesvn.alwins-world.de/
Group:     Development/Tools

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source:    %name-%version.tar

Patch1: %name-1.2.3-alt-link-fixes.patch
Patch2: %name-1.0.1-alt-desktop-fixes.patch
Patch3: %name-1.2.4-alt-compile-fix.patch

BuildPreReq: gcc-c++ kde4libs-devel libsubversion-devel libexpat-devel
BuildRequires(pre): kde-common-devel

%define _unpackaged_files_terminate_build 1


%description
Kdesvn is a subversion client for KDE4
It may used as standalone application or plugin (KPart). Base functions are provided
via a KIO protocol, too.


%package kiosvn
Group:    Development/Other
Summary:  A kde-kio integration for subversion based on kdesvn
Requires: kdesvn = %version
Conflicts: kde4sdk-cervisia

%description kiosvn
KIO integration (KIO::svn) based on kdesvn alternative protocol name.


%package -n libsvnqt%soname
Group: System/Libraries
Summary: Wrapper lib for subversion Qt integration.
%description -n libsvnqt%soname
Shared lib which contains a Qt C++ wrapper for subversion. It is core part
of kdesvn but is designed to not require KDE so plain Qt programs may use
it.


%package -n libsvnqt-devel
Group:    Development/C++
Summary:  Wrapper lib for subversion Qt integration.
Requires: libsvnqt%soname = %version-%release
Conflicts: libsvnqt4-devel <= 1.2.3

%description -n libsvnqt-devel
Development files for libsvnqt


%prep
%setup
%patch1 -p2
#patch2 -p1
#patch3 -p2

%build
%K4build

%install
%K4install
rm -rf %buildroot%_K4doc

%find_lang --with-kde %name


%files -f %name.lang
%_bindir/kdesvn
%_bindir/kdesvnaskpass
%_man1dir/kdesvn.1*
%_man1dir/kdesvnaskpass.1*
%_K4xdg_apps/*.desktop
%_K4dbus_interfaces/*.xml
%_K4conf_update/*
%_K4apps/kdesvn/
%_K4apps/kdesvnpart/
%_K4cfg/kdesvn_part.kcfg
%_K4srv/ServiceMenus/*.desktop
%_K4srv/kded/kdesvnd.desktop
%_K4srv/*.desktop
%_K4lib/kded_kdesvnd.*
%_K4lib/kdesvnpart.*
%_iconsdir/*/*/*/*.png
%_iconsdir/*/*/*/*.svgz

%files kiosvn
%_K4lib/kio_ksvn.*
%_K4srv/*.protocol

%files -n libsvnqt%soname
%_libdir/libsvnqt.so.*

%files -n libsvnqt-devel
%_libdir/libsvnqt.so
%_includedir/svnqt


%changelog
* Tue Aug 25 2009 Boris Savelev <boris@altlinux.org> 1.4.0-alt1
- new version
- soname change

* Mon Apr 06 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.2.4-alt2
- fix compilation

* Sat Feb 21 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Wed Jan 28 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Sat Dec 13 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Tue Nov 18 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.4-alt2
- update Group
- remove update_*/clean_* invocations

* Sat Oct 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Wed Sep 03 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.1-alt1
- 1.0.1
- use optflags

* Wed Aug 13 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.0-alt1
- 1.0.0
- some .desktop fixes

* Tue May 27 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.4-alt1
- 0.14.4

* Sat Mar 29 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.3-alt2
- 0.14.3

* Thu Mar 20 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.2-alt2
- add update_desktopdb/clean_desktopdb calls (found by repocop)

* Tue Mar 18 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.2-alt1
- 0.14.2

* Sun Dec 02 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.1-alt1
- 0.14.1

* Thu Oct 25 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.14.0-alt1
- 0.14.0
- enable _unpackaged_files_terminate_build
- spec fixes

* Sat Sep 22 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.13.0-alt1
- 0.13.0

* Tue Jul 31 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Thu May 31 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Wed Mar 28 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.2-alt1
- 0.11.2

* Mon Mar 19 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.1-alt1
- 0.11.1
- fix x86_64 (#10957, peet@)
- fix buildreqs

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt3
- rewrite buildreqs

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt2.1
- BuildPreReq: s/libneon-devel/libneon0.25-devel/

* Tue Dec 12 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt2
- Sisyphus build
- spec cleanup
- reworked link fixes patch

* Fri Dec  8 2006 Alexey Morozov <morozov@altlinux.org> 0.11.0-alt1
- New version (0.11.0)
- Dropped kdesvn-0.8.5-alt-compile_final.patch (#0) since cmake
  build system doesn't support final compilation for libraries
  (although KDE3_ENABLE_FINAL option does exist)
- Added kdesvn-0.11.0-alt-build_fixes.patch (#0) to be able to compile
  it against ALT libapr

* Mon Sep 18 2006 Alexey Morozov <morozov@altlinux.org> 0.9.3-alt1
- new version (0.9.3)

* Thu Jun 29 2006 Alexey Morozov <morozov@altlinux.org> 0.8.5-alt1
- New version (0.8.5)
- added patch kdesvn-0.8.5-alt-compile_final.patch to be cleanly
  compile with 'final' enabled

* Mon May 15 2006 Alexey Morozov <morozov@altlinux.org> 0.8.3-alt2
- Added proper libsvnqt subpackage
- Added previously missing files kio_ksvn files
- Added xml-utils build requirement

* Fri May 12 2006 Alexey Morozov <morozov@altlinux.org> 0.8.3-alt1
- new version (0.8.3)

* Fri Apr 14 2006 Alexey Morozov <morozov@altlinux.org> 0.8.1-alt1
- New version (0.8.1)

* Tue Mar 28 2006 Alexey Morozov <morozov@altlinux.org> 0.8.0-alt1
- Initial build for ALT Linux (spec is based on Rajko Albrecht's
  <ral@alwins-world.de> original spec)

